Levain LabsLevain Labs
API ReferenceAuthentication

Update Workspace

Update your workspace's business profile and setup progress.

PATCH
/api/v1/auth/workspace

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

X-API-Key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://api.levainlabs.com/api/v1/auth/workspace" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "website": "string",
  "description": "string",
  "onboarding_completed_at": "2019-08-24T14:15:22Z",
  "onboarding_state": {},
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}